# Generated by Django 4.2.14 on 2025-02-06 19:17

from django.db import migrations, models

from authentication.normalisation import normalise_name


def normalise_names(apps, schema_editor):
    AccountIdentifier = apps.get_model("activate_account", "AccountIdentifier")
    for account_identifier in AccountIdentifier.objects.all():
        account_identifier.last_name = normalise_name(account_identifier.last_name)
        account_identifier.save()


class Migration(migrations.Migration):
    dependencies = [
        ("activate_account", "0007_lockout_lockout_unique_lockout"),
    ]

    operations = [
        migrations.AlterField(
            model_name="accountidentifier",
            name="last_name",
            field=models.CharField(max_length=100),
        ),
        migrations.AlterField(
            model_name="accountidentifier",
            name="id",
            field=models.BigAutoField(
                auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
            ),
        ),
        # No way to reverse this operation without storing the original data, and doing so should
        # not be necessary.
        migrations.RunPython(normalise_names, reverse_code=migrations.RunPython.noop),
    ]
